Skip to main content
DELETE
/
customers
/
{customerID}
Delete a single customer object
curl --request DELETE \
  --url https://api.bridge.xyz/v0/customers/{customerID} \
  --header 'Api-Key: <api-key>'
{
  "id": "00000000-0000-0000-0000-000000000000",
  "first_name": "John",
  "last_name": "Doe",
  "email": "johndoe@example.com",
  "status": "active",
  "type": "individual",
  "persona_inquiry_type": "gov_id_db",
  "created_at": "2025-11-19T21:14:58.328Z",
  "updated_at": "2025-11-19T21:16:02.894Z",
  "rejection_reasons": [],
  "has_accepted_terms_of_service": true,
  "endorsements": [
    {
      "name": "base",
      "status": "approved",
      "requirements": {
        "complete": [
          "terms_of_service_v1",
          "first_name",
          "last_name",
          "tax_identification_number",
          "email_address",
          "address_of_residence",
          "date_of_birth",
          "proof_of_address",
          "sanctions_screen",
          "pep_screen",
          "blocklist_lookup",
          "min_age_18",
          "selfie_verification",
          "government_id_rejection_checks_passed",
          "government_id_review_checks_passed",
          "government_id_reliance",
          "post_processing"
        ],
        "pending": [],
        "missing": null,
        "issues": []
      }
    },
    {
      "name": "sepa",
      "status": "approved",
      "requirements": {
        "complete": [
          "terms_of_service_v2",
          "first_name",
          "last_name",
          "tax_identification_number",
          "email_address",
          "address_of_residence",
          "date_of_birth",
          "proof_of_address",
          "sanctions_screen",
          "pep_screen",
          "blocklist_lookup",
          "min_age_18",
          "selfie_verification",
          "government_id_rejection_checks_passed",
          "government_id_review_checks_passed",
          "government_id_reliance"
        ],
        "pending": [],
        "missing": null,
        "issues": []
      }
    }
  ],
  "future_requirements_due": [],
  "requirements_due": [
    "external_account"
  ],
  "capabilities": {
    "payin_crypto": "active",
    "payout_crypto": "active",
    "payin_fiat": "pending",
    "payout_fiat": "pending"
  }
}

Documentation Index

Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Api-Key
string
header
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Response

Successfully deleted customer object response

id
string
read-only

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*
first_name
string
Required string length: 1 - 1024
last_name
string
Required string length: 1 - 1024
email
string
Required string length: 1 - 1024
status
enum<string>

offboarded: represents a customer's account that was internally reviewed and closed due to suspicious activity. paused: represents a customer's account that is currently under review because of activity on the platform.

Available options:
active,
awaiting_questionnaire,
awaiting_ubo,
incomplete,
not_started,
offboarded,
paused,
rejected,
under_review
capabilities
object
deprecated
future_requirements_due
enum<string>[]
deprecated
read-only

Information about requirements that may be needed in the future for the customer (eg. enhanced KYC checks for high volume transactions etc.). Please consult our KYC guide on how to resolve each requirement.

Available options:
id_verification
requirements_due
enum<string>[]
deprecated
read-only

KYC requirements still needed to be completed. Please consult our KYC guide on how to resolve each requirement.

Available options:
external_account,
id_verification
created_at
string<date-time>
read-only

Time of creation of the customer

updated_at
string<date-time>
read-only

Time of last update of the customer

rejection_reasons
object[]
deprecated
read-only

Reasons why a customer KYC was rejected

has_accepted_terms_of_service
boolean
read-only

Whether the customer has accepted the terms of service.

endorsements
object[]
read-only

A summary of whether the customer has received approvals to complete onboarding or use certain products/services offered by Bridge.